org.tmatesoft.svn.core.wc2

## Enum ISvnCommitParameters.Action

- java.lang.Object
- - java.lang.Enum<ISvnCommitParameters.Action>
  - - org.tmatesoft.svn.core.wc2.ISvnCommitParameters.Action

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ISvnCommitParameters.Action>

Enclosing interface:
  ISvnCommitParameters

    public static enum ISvnCommitParameters.Action
    extends java.lang.Enum<ISvnCommitParameters.Action>

Describes an instruction that operation should take if it meets unversioned or missing item. This can be:

- DELETE - operation should force a deletion of the item. Although the item may be not scheduled for deletion (only missing in filesystem) it will be deleted from version control.
- ERROR - Commit should fail and error should be reported.
- SKIP - Item should not be committed.

Version:
  1.7
Author:
  TMate Software Ltd.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DELETE`
`ERROR`
`SKIP`

### Method Summary

Methods
`static ISvnCommitParameters.Action` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ISvnCommitParameters.Action[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DELETE

    public static final ISvnCommitParameters.Action DELETE

#### ERROR

    public static final ISvnCommitParameters.Action ERROR

#### SKIP

    public static final ISvnCommitParameters.Action SKIP

### Method Detail

#### values

    public static ISvnCommitParameters.Action[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ISvnCommitParameters.Action c : ISvnCommitParameters.Action.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ISvnCommitParameters.Action valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null